(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('rkgttr-arrayfrompolyfill')) :
  typeof define === 'function' && define.amd ? define(['exports', 'rkgttr-arrayfrompolyfill'], factory) :
  (factory((global.rkgttrQ = global.rkgttrQ || {}),global.rkgttrArrayfrompolyfill));
}(this, (function (exports,rkgttrArrayfrompolyfill) { 'use strict';

/**
 * rkgttr-q
 *
 * Copyright © 2016 Erik Guittiere. All rights reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.txt file in the root directory of this source tree.
 */
function one(selector) {
  var parent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document;

  return parent.querySelector(selector) || parent.createElement('div');
}
function all(selector) {
  var parent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document;

  return Array.from(parent.querySelectorAll(selector));
}
function id(selector) {
  return document.getElementById(selector) || document.createElement('div');
}
function classname(selector) {
  var parent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document;

  return Array.from(parent.getElementsByClassName(selector));
}
function tag(selector) {
  var parent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : document;

  return Array.from(parent.getElementsByTagName(selector));
}

exports.one = one;
exports.all = all;
exports.id = id;
exports.classname = classname;
exports.tag = tag;

Object.defineProperty(exports, '__esModule', { value: true });

})));
